Subject: [nvo3] Question about draft-lasserre-nvo3-framework-00

From: Larry Kreeger <[email-masked]>
Date: Mon, 05 Mar 2012 15:55:31 -0800

Hi Marc/Florin/Thomas,

I saw your recently posted draft-lasserre-nvo3-framework-00 and had a
question related to the architecture component definitions.

You define an End Device (ED) ³to which the networking service is provided².
You further go on to give ED examples such as servers, storage, network
appliance.  You also state ³the End Device may include software based
networking functions used to interconnect multiple IP hosts.  An example of
soft networking is the virtual switch in the server blades, used to
interconnect multiple virtual machines (VMs).²  You state that the term ³End
System² can refer to a VM, with one or more End Systems being part of an ED.

My interpretation of this is that you are saying that the virtual switch
does not terminate the overlay (act as an Network Virtualization Edge (NVE)
in your terminology), but instead makes use of overlay services provided by
external devices such as ToR switches.

Did I understand this correctly?  Is your framework ruling out the virtual
switch within the hypervisor from being a first class participant in the
overlay on the same footing as the ToR switch?

Thanks, Larry

---

From: "Balus, Florin Stelian (Florin)" <[email-masked]>
Date: Mon, 5 Mar 2012 19:17:45 -0600

Hi Larry,
Before answering and since we just submitted the draft, here is the URL to make it easier for the list to follow the discussion: http://www.ietf.org/id/draft-lasserre-nvo3-framework-00.txt 
See in-line indexed with FB> ...

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Larry Kreeger
> Sent: Monday, March 05, 2012 3:56 PM
> To: [email-masked]
> Subject: [nvo3] Question about draft-lasserre-nvo3-framework-00
> 
> Hi Marc/Florin/Thomas,
> 
> You define an End Device (ED) "to which the networking service is
> provided".  You further go on to give ED examples such as servers,
> storage, network appliance.  You also state "the End Device may include
> software based networking functions used to interconnect multiple IP
> hosts.  An example of soft networking is the virtual switch in the
> server blades, used to interconnect multiple virtual machines (VMs)."
>  You state that the term "End System" can refer to a VM, with one or
> more End Systems being part of an ED.

[FB>] The diagram from Figure 1 depicts a view of physical components inside a DC. The physical components are not mapped directly to the functional components described in the "Generic reference model for DC" (Figure 3). 

Specifically the (physical) End Device may contain (functional) End Systems + NVE or just ES. Some examples:
- for End Device = server blade with VMs and virtual switch: VM = ES and the NVE functions may be performed by the  virtual switch.
- for End Device = bare metal server (no VMs, no virtual switch): the ED = ES and the NVE functions may be performed by the ToR.

> 
> My interpretation of this is that you are saying that the virtual
> switch does not terminate the overlay (act as an Network Virtualization
> Edge (NVE) in your terminology), but instead makes use of overlay
> services provided by external devices such as ToR switches.
> 
> Did I understand this correctly?  Is your framework ruling out the
> virtual switch within the hypervisor from being a first class
> participant in the overlay on the same footing as the ToR switch?

[FB>] Definitely not - see the above examples. If the text is not clear we need to adjust it. 

Thanks for the interest,
Florin

---

From: Larry Kreeger <[email-masked]>
Date: Mon, 05 Mar 2012 18:21:33 -0800

Inline below with LK>. - Larry

On 3/5/12 5:17 PM, "Balus, Florin Stelian (Florin)"
<[email-masked]> wrote:

> 
> Hi Larry,
> Before answering and since we just submitted the draft, here is the URL to
> make it easier for the list to follow the discussion:
> http://www.ietf.org/id/draft-lasserre-nvo3-framework-00.txt
> [FB>] The diagram from Figure 1 depicts a view of physical components inside a
> DC. The physical components are not mapped directly to the functional
> components described in the "Generic reference model for DC" (Figure 3).
> 
> - for End Device = server blade with VMs and virtual switch: VM = ES and the
> NVE functions may be performed by the  virtual switch.
> - for End Device = bare metal server (no VMs, no virtual switch): the ED = ES
> and the NVE functions may be performed by the ToR.

LK> Great, these are the most likely scenarios I see.

> [FB>] Definitely not - see the above examples. If the text is not clear we

LK> Yes, I think these need to be called out explicitly as examples.  Since
the drafts you refer to such as VXLAN, NVGRE, STT and the NVO3 problem
statement and control plane requirements all address the need for the
overlay to terminate within the hypervisor virtual switch, you should try to
make it clear that it is a very valid place for your NVE.

Thanks, Larry

---

From: "Balus, Florin Stelian (Florin)" <[email-masked]>
Date: Mon, 5 Mar 2012 20:39:13 -0600

See in-line..

> Sent: Monday, March 05, 2012 6:22 PM
> To: Balus, Florin Stelian (Florin); [email-masked]
> Subject: Re: [nvo3] Question about draft-lasserre-nvo3-framework-00
> 
> > Before answering and since we just submitted the draft, here is the
> > URL to make it easier for the list to follow the discussion:
> >> From: [email-masked] [mailto:[email-masked]] On Behalf
> >> Of Larry Kreeger
> >> storage, network appliance.  You also state "the End Device may
> >> include software based networking functions used to interconnect
> >> multiple IP hosts.  An example of soft networking is the virtual
> >> switch in the server blades, used to interconnect multiple virtual
> machines (VMs)."
> > [FB>] The diagram from Figure 1 depicts a view of physical components
> > inside a DC. The physical components are not mapped directly to the
> > functional components described in the "Generic reference model for
> DC" (Figure 3).
> >
> > - for End Device = server blade with VMs and virtual switch: VM = ES
> > and the NVE functions may be performed by the  virtual switch.
> > - for End Device = bare metal server (no VMs, no virtual switch): the
> > ED = ES and the NVE functions may be performed by the ToR.
> 
> >> switch does not terminate the overlay (act as an Network
> >> Virtualization Edge (NVE) in your terminology), but instead makes
> use
> >> of overlay services provided by external devices such as ToR
> switches.
> >>
> LK> Yes, I think these need to be called out explicitly as examples.
> LK> Since
> overlay to terminate within the hypervisor virtual switch, you should
> try to make it clear that it is a very valid place for your NVE.

[FB>] Thanks for the comments. Will address in the next revision. 

> >
> > Thanks for the interest,
> > Florin
> >
> >>
> >> Thanks, Larry
> 
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3